Bug 120827 - [PATCH] mkinitrd Please Remove i2o_pci
[PATCH] mkinitrd Please Remove i2o_pci
Product: Fedora
Classification: Fedora
Component: mkinitrd (Show other bugs)
All Linux
medium Severity high
: ---
: ---
Assigned To: Peter Jones
David Lawrence
Depends On:
Blocks: FC2Blocker
  Show dependency treegraph
Reported: 2004-04-14 06:11 EDT by Warren Togami
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-05-20 05:16:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Warren Togami 2004-04-14 06:11:15 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6)
Gecko/20040404 Firefox/0.8

Description of problem:
mkinitrd-3.5.19-1 has i2o_pci hard coded as a module.  2.6 kernel I2O
no longer makes i2o_pci into a kernel module, so mkinitrd fails.  This
results in /boot containing no initrd image and installation of new
kernels fail, as grubby aborts adding the new kernel to the menu when
mkinitrd fails.

No module i2o_pci found for kernel 2.6.5-1.319smp, aborting.

--- mkinitrd.orig       2004-04-14 00:15:31.170358346 -1000
+++ mkinitrd    2004-04-14 00:15:54.134869232 -1000
@@ -103,7 +103,6 @@
     # special cases
     if [ "$modName" = "i2o_block" ]; then
        findmodule i2o_core
-       findmodule i2o_pci
     elif [ "$modName" = "ppa" ]; then
        findmodule parport

Version-Release number of selected component (if applicable):
Comment 1 Jeremy Katz 2004-04-14 23:11:29 EDT
Did something to get the same effect but without the side-effect of
breaking 2.4 for 3.5.21
Comment 2 Warren Togami 2004-05-03 21:48:49 EDT
An upcoming upstream kernel patch will completely remove i2o_pci. 
Will this break anything wrt mkinitrd?  If not then we can close this bug.

Note You need to log in before you can comment on or make changes to this bug.